// BigMsgDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "apl_gui.h"
#include "BigMsgDlg.h"


// CBigMsgDlg dialog

IMPLEMENT_DYNAMIC(CBigMsgDlg, CaplResizableDialog)

CBigMsgDlg::CBigMsgDlg(CWnd* pParent /*=NULL*/)
	: CaplResizableDialog(CBigMsgDlg::IDD, pParent)
	, m_text(_T(""))
{

}

CBigMsgDlg::~CBigMsgDlg()
{
}

void CBigMsgDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplResizableDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_MSG, m_text);
	DDX_Control(pDX, IDOK, m_okBtn);
}


BEGIN_MESSAGE_MAP(CBigMsgDlg, CaplResizableDialog)
	ON_WM_SIZE()
END_MESSAGE_MAP()


// CBigMsgDlg message handlers

BOOL CBigMsgDlg::OnInitDialog()
{
	CaplResizableDialog::OnInitDialog();

	ModifyStyleEx(0, WS_EX_DLGMODALFRAME | WS_EX_WINDOWEDGE | WS_EX_CONTROLPARENT);   
	ModifyStyle(0, WS_MAXIMIZEBOX);   

	m_okBtn.SetIcon(GetAplStdIco16(APLSTDICO_OK));
	m_okBtn.SetFlat(FALSE);
	AddAnchor(IDC_MSG,TOP_LEFT,BOTTOM_RIGHT);
	AddAnchor(IDOK, BOTTOM_RIGHT);	
	// TODO:  Add extra initialization here
	if(m_caption!=_T("")) SetWindowText(m_caption);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

